Subject: bug#49136: closed (Re: [bug#49136] [PATCH 0/2] Update ocaml-merlin)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Jun 2021 22:16:01 +0000

Your bug report

#49136: [PATCH 0/2] Update ocaml-merlin

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49136: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49136
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#49136] [PATCH 0/2] Update ocaml-merlin
From: Julien Lepiller <[email-masked]>
To: Xinglu Chen <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Jun 2021 00:15:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sun, 20 Jun 2021 16:49:41 +0200,
Xinglu Chen <[email-masked]> a écrit :

> This series updates ‘ocaml-dot-merlin-reader’ and ‘ocaml-merlin’, the
> latest version is 4.2-412, but our OCaml compiler is at version
> 4.11.1, so I updated them to 4.2-411.
> 
> I also refactored the ‘ocaml-merlin’ package to inherit from
> ‘ocaml-dot-merlin-reader’ to avoid having to update the version and
> hash twice.
> 
> Xinglu Chen (2):
>   gnu: ocaml-dot-merlin-reader: Update to 4.2-411.
>   gnu: ocaml-merlin: Inherit from ‘ocaml-dot-merlin-reader’.
> 
>  gnu/packages/ocaml.scm | 28 +++++++++++-----------------
>  1 file changed, 11 insertions(+), 17 deletions(-)
> 
> 
> base-commit: a211078f992bc5a26eaf787c6b01caa41de67597

Pushed as 5ae0d2c24737572ba3e0619a0176a07758078e1d, thank you!

Subject: [PATCH 0/2] Update ocaml-merlin
From: Xinglu Chen <[email-masked]>
To: [email-masked]
Date: Sun, 20 Jun 2021 16:49:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This series updates ‘ocaml-dot-merlin-reader’ and ‘ocaml-merlin’, the
latest version is 4.2-412, but our OCaml compiler is at version 4.11.1,
so I updated them to 4.2-411.

I also refactored the ‘ocaml-merlin’ package to inherit from
‘ocaml-dot-merlin-reader’ to avoid having to update the version and hash
twice.

Xinglu Chen (2):
  gnu: ocaml-dot-merlin-reader: Update to 4.2-411.
  gnu: ocaml-merlin: Inherit from ‘ocaml-dot-merlin-reader’.

 gnu/packages/ocaml.scm | 28 +++++++++++-----------------
 1 file changed, 11 insertions(+), 17 deletions(-)

base-commit: a211078f992bc5a26eaf787c6b01caa41de67597
-- 
2.32.0